summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Samuel Young2023-03-21 06:28:41 +0100
committer Willy Sudiarto Raharjo2023-03-25 04:01:50 +0100
commitf54059990430a81f5cad656c07e989a701a316e6 (patch)
tree6b3a24272cf60ad74b629f1846386e9a4fa2617e
parent949b9fd8dad08e29e3b803b8717746f77e3ec8e8 (diff)
downloadslackbuilds-f54059990430a81f5cad656c07e989a701a316e6.tar.gz
system/fff: Added (F***ing Fast File-Manager)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/fff/README18
-rw-r--r--system/fff/fff.SlackBuild95
-rw-r--r--system/fff/fff.info10
-rw-r--r--system/fff/slack-desc19
4 files changed, 142 insertions, 0 deletions
diff --git a/system/fff/README b/system/fff/README
new file mode 100644
index 0000000000..5430f81568
--- /dev/null
+++ b/system/fff/README
@@ -0,0 +1,18 @@
+fff (F***ing Fast File-Manager)
+
+A simple file manager written in bash.
+
+Features:
+*It's f***ing fast.
+*Minimal
+*Smooth scrolling (using vim keybindings)
+*Supports LS_COLORS
+*File Operations (copy, paste, cut, ranger style bulk rename, etc)
+*Instant as you type search
+*Tab completion for all commands
+*Automatic CD on exit (see README)
+*Works as a file picker in vim/neovim
+*Display images with w3m-img
+*Supports $CDPATH
+
+Optional dependencies include w3m for displaying images.
diff --git a/system/fff/fff.SlackBuild b/system/fff/fff.SlackBuild
new file mode 100644
index 0000000000..c78f7013de
--- /dev/null
+++ b/system/fff/fff.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/bash
+
+# Slackware build script for fff
+
+# Copyright 2023 Samuel Young, MO, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=fff
+VERSION=${VERSION:-2.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make install DESTDIR=$PKG
+
+mv $PKG/usr/share/man $PKG/usr/man
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+rm -R $PKG/usr/share
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $TMP/$PRGNAM-$VERSION/LICENSE.md > $PKG/usr/doc/$PRGNAM-$VERSION/LICENSE
+cat $TMP/$PRGNAM-$VERSION/README.md > $PKG/usr/doc/$PRGNAM-$VERSION/README
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/fff/fff.info b/system/fff/fff.info
new file mode 100644
index 0000000000..c0c9b56406
--- /dev/null
+++ b/system/fff/fff.info
@@ -0,0 +1,10 @@
+PRGNAM="fff"
+VERSION="2.2"
+HOMEPAGE="https://github.com/dylanaraps/fff"
+DOWNLOAD="https://github.com/dylanaraps/fff/archive/2.2/fff-2.2.tar.gz"
+MD5SUM="2d4f8641397fc2a5c5ba9d4b4b4bb36c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Samuel Young"
+EMAIL="samyoung12788@gmail.com"
diff --git a/system/fff/slack-desc b/system/fff/slack-desc
new file mode 100644
index 0000000000..f4ac047fee
--- /dev/null
+++ b/system/fff/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fff: fff (F***ing Fast File-Manager)
+fff:
+fff: A simple file manager written in bash.
+fff:
+fff: Homepage: https://github.com/dylanaraps/fff
+fff:
+fff:
+fff:
+fff:
+fff:
+fff: